Subject: [PATCH v5] i2c: Add device tree support to i2c-pnx.c

From: [email-masked] (Roland Stigge)
Date: Fri, 20 Apr 2012 15:14:46 +0200

Hi,

On 04/20/2012 02:09 PM, Wolfram Sang wrote:
>> Signed-off-by: Roland Stigge <[email-masked]> Reviewed-by: Arnd
>> Bergmann <[email-masked]> Acked-by: Wolfram Sang
>> <[email-masked]>
> 
> NACK! I said the approach of dropping "timeout" is OK, but unless I
> say "you may add my ack after changing this and that", please do
> not automatically add my ack. Doesn't hurt here, since I have to
> pick it up anyway.

Sorry - my apologies! Removing for next re-post.

>> Changes since v4: * Removed OF timeout property (to be added
>> later when there is consensus about how to call and handle it) *
>> Changed clock-frequency example to decimal
> 
> Thanks, I just noticed. Please drop (more precise: remove) the 
> "slave-addr" for the same reasons as "timeout".

OK, will do.

>> ret = request_irq(alg_data->irq, i2c_pnx_interrupt, -			0,
>> pdev->name, alg_data); +			  0, pdev->name, alg_data);
> 
> I know that checkpatch complains about this, but I'd prefer to
> avoid such changes unless the code before was really unreadable.

OK!

Roland